Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Tools/GET /harness/tools/{name}

    GET /harness/tools/{name}

    Get a tool by name

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Returns full metadata for a single tool including its JSON Schema for inputs and outputs.

    Request

    Path parameters

    namestring

    Tool name (e.g., admet_predict, protein_fold)

    Responses

    200 OK

    Tool found

    Response shape:

    namestring
    descriptionstring
    tierenum ("t1" | "t2" | "t3" | "t4" | "t5")
    domainstring
    inputSchemaobject

    JSON Schema for tool inputs

    outputSchemaobject

    JSON Schema for tool outputs

    401 Unauthorized

    Authentication required

    Response shape: object

    404 Not Found

    Resource not found

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/harness/tools/{name}' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...